# $Id: build.sh 279 2007-08-04 11:09:18Z sten $

[ -d $INITRD_ROOT ] && rm -rf $INITRD_ROOT
mkdir $INITRD_ROOT;

#setup mkinitramfs
if [ -d /etc/initramfs-tools ]; then
    rsync -a /etc/initramfs-tools $INITRD_ROOT/;
elif [ -d /etc/mkinitramfs ]; then 
    rsync -a /etc/mkinitramfs $INITRD_ROOT/;
else
    echo "initramfs-tools not found. Bailing!"
    exit 127
fi

rsync -a ${os_type}/initramfs-tools $INITRD_ROOT/ --exclude=.svn

#build pkgdetails
#cd ${os_type}/debootstrap
#make clean >/dev/null
#make pkgdetails >/dev/null
#cd - > /dev/null

#make -C ${os_type}/prog timeout

mkinitramfs -d $INITRD_ROOT/initramfs-tools -o $INITRD_FILE.gz $kern

rm -rf $INITRD_ROOT

